from tabulate import tabulate


class Table:
    def __init__(self, table):
        self.table = table

    def show_table(self, limit=10):
        print(tabulate(self.table.tail(limit), headers='keys', tablefmt="pretty"))

    def show_sorted_table(self, col):
        print(tabulate(self.table.sort_values(by=[col]), headers='keys', tablefmt="pretty", showindex=False))
